Subject: Re: bug#28803: [PATCH] Fixed compiler warnings for advised functions.

From: Noam Postavsky <[email-masked]>
Date: Sat, 14 Oct 2017 19:47:15 -0400

John Williams <[email-masked]> writes:

> Oops. Is there anything that can be salvaged from my patch? Aside
> from fixing the bug, it also adds a unit test and refactors the logic
> for finding a function's argument list into a separate function
> that's not part of the help system.

We could add the test, it seems to be passing in emacs-26.  Have you
assigned copyright to Emacs?  (It's okay if you haven't, the patch is
small enough to go in regardless, we would just need to mark it.)

I don't think there's much need for moving the function argument
retrieval out of the help system.

(By the way, if you've spent some time looking at help-function-arglist,
perhaps you have some ideas about Bug#26270?
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26270)